package nxm.dsp.lib;

import nxm.sys.lib.MPULibNative;

/**
  Native-C version of Demod library

  @author Jeff Schoen
  @version $Id: DemodNative.java,v 1.3 2011/05/24 13:21:13 jgs Exp $
*/
public class DemodNative extends MPULibNative {

  public native long alloc(); 
  public native int setkey (long handle, String key, byte[] value, int len);
  public native int getkey (long handle, String key, byte[] value, int len);
  public native int init   (long handle);
  public native int work2  (long handle, byte[] buf1, int n1, byte[] buf2, int n2);
  public native int free   (long handle);

}
