!************
!
!  $Id: xtxinclude.inc,v 1.1 2008/07/19 22:30:29 jgs Exp $
!
!  Description:	Include for XTX libraries
!
!  Author:	JG Kralles
!
!************
!
! Modified jdh 17-FEB-2000

		include 'xprimitive.inc'

	integer*4 XTX_P_ERROR
	parameter (XTX_P_ERROR = 1)
	integer*4 XTX_P_ERROR_R
	parameter (XTX_P_ERROR_R = 100)
	integer*4 XTX_P_ERROR_G
	parameter (XTX_P_ERROR_G = 0)
	integer*4 XTX_P_ERROR_B
	parameter (XTX_P_ERROR_B = 0)
	integer*4 XTX_P_WARN
	parameter (XTX_P_WARN = 2)
	integer*4 XTX_P_WARN_R
	parameter (XTX_P_WARN_R = 100)
	integer*4 XTX_P_WARN_G
	parameter (XTX_P_WARN_G = 100)
	integer*4 XTX_P_WARN_B
	parameter (XTX_P_WARN_B = 0)
	integer*4 XTX_P_INFO
	parameter (XTX_P_INFO = 3)
	integer*4 XTX_P_INFO_R
	parameter (XTX_P_INFO_R = 0)
	integer*4 XTX_P_INFO_G
	parameter (XTX_P_INFO_G = 100)
	integer*4 XTX_P_INFO_B
	parameter (XTX_P_INFO_B = 0)

	integer*4 XTX_P_BBUF
	parameter (XTX_P_BBUF = 2048)

	integer*4	XTX$MESSAGE
	integer*4	XTX$MX_EVENTS
	integer*4	XTX$DRAW_SCROLLBAR
	integer*4	XTX$DRAW_H_SCROLLBAR



	real*4 XTX_P_DBC_DELTA
	parameter (XTX_P_DBC_DELTA = 0.25)

	integer*4 XTX_P_NO_MSG
	parameter (XTX_P_NO_MSG = 0)
	integer*4 XTX_P_MSG_PROC
	parameter (XTX_P_MSG_PROC = 1)
	integer*4 XTX_P_MSG_NOT_PROC
	parameter (XTX_P_MSG_NOT_PROC = 2)
	integer*4 XTX_P_MSG_EXIT
	parameter (XTX_P_MSG_EXIT = -1)

	integer*4 XTX_P_DEF_COLORS
	parameter (XTX_P_DEF_COLORS = 8)
	integer*4 XTX_P_MAX_COLORS
	parameter (XTX_P_MAX_COLORS = 48)
	integer*4 XTX_P_MAX_WIDTH
	parameter (XTX_P_MAX_WIDTH = 256)
	integer*4 XTX_P_DEF_HEIGHT
	parameter (XTX_P_DEF_HEIGHT = 256)
	integer*4 XTX_P_DEF_COLOR
	parameter (XTX_P_DEF_COLOR = -1)


	STRUCTURE /XTX_BUF/
	   integer*4			C
	   character*(XTX_P_MAX_WIDTH)	T
	END STRUCTURE
	RECORD /XTX_BUF/ XTX_BUF(*)

	integer*4	XTX_P_BUF_SZ
	parameter	(XTX_P_BUF_SZ = XTX_P_MAX_WIDTH + 4)
	POINTER		(XTX_BUF_PTR,XTX_BUF)

	character*(XTX_P_BBUF)	XTX_HEAD

	character*256	XTX_P_DEF_MENU
	parameter	(XTX_P_DEF_MENU = 'Refresh,'//
	1                                 'Clear,'//
	2                                 'Hardcopy,'//
	3                                 'Controls,'//
	4                                 'Font,'//
	5                                 'Colormap,'//
	6                                 'Keypress Info,'//
	7                                 'Exit')

	integer*4	XTX_MENU_LEN
	integer*4	XTX_MENU_FIRST
	character*256	XTX_MENU

	RECORD /MX/ XTX_MX
	logical*4	XTX_TAG
	logical*4	XTX_SCROLL
	logical*4	XTX_SCROLLBAR
	logical*4	XTX_REWRITE
	logical*4	XTX_ROW
	logical*4	XTX_CLEAR
	logical*4	XTX_FONT
	logical*4	XTX_RESIZE_EXPOSE
	logical*4	XTX_COLORMAP
	logical*4	XTX_EXIT
	logical*4	XTX_NOEXIT
	logical*4	XTX_XI
	logical*4	XTX_DISABLE_SCROLLBAR
	logical*4	XTX_DBCLICK
	logical*4	XTX_APPEND
	real*4		XTX_DBC_TIME
	integer*4	XTX_DBC_ROW
	integer*4	XTX_DBC_SELECT_ROW
	integer*4	XTX_DBC_COL
	integer*4	XTX_DBC_SELECT_COL
	integer*4	XTX_XCMAX
	integer*4	XTX_XCNT
	integer*4	XTX_FIRST_LINE
	integer*4	XTX_LAST_LINE
	integer*4	XTX_FIRST_CHAR
	integer*4	XTX_LAST_CHAR
	integer*4	XTX_DISP_LINES
	integer*4	XTX_W_WIDTH
	integer*4	XTX_W_HEIGHT
	integer*4	XTX_W_NEXT
	integer*4	XTX_E_WIDTH
	integer*4	XTX_MAX_HEIGHT
	integer*4	XTX_TOTAL
	integer*4	XTX_H_TOTAL
	integer*4	XTX_TOP
	integer*4	XTX_FROW
	integer*4	XTX_MSGID
	integer*4	XTX_MASK
	integer*4	XTX_HSIZE
	integer*4	XTX_HCOLOR
	integer*4	XTX_LP
	integer*4	XTX_RP
	integer*4	XTX_TP
	integer*4	XTX_BP
	integer*4	XTX_H_LP
	integer*4	XTX_H_RP
	integer*4	XTX_H_TP
	integer*4	XTX_H_BP
	character*80	XTX_PSFILE
	character*24	XTX_KEYMENU
	character*1	XTX_HOT_KEY

	COMMON /XTX/
	1	XTX_MX,
	1	XTX_BUF_PTR,
	1	XTX_TAG,
	1	XTX_SCROLLBAR,
	1	XTX_SCROLL,
	1	XTX_REWRITE,
	1	XTX_ROW,
	1	XTX_CLEAR,
	1	XTX_FONT,
	1	XTX_RESIZE_EXPOSE,
	1	XTX_COLORMAP,
	1	XTX_EXIT,
	1	XTX_NOEXIT,
	1	XTX_XI,
	1	XTX_DBCLICK,
	1	XTX_APPEND,
	1	XTX_DBC_TIME,
	1	XTX_DBC_ROW,
	1	XTX_DBC_SELECT_ROW,
	1	XTX_DBC_COL,
	1	XTX_DBC_SELECT_COL,
	1	XTX_DISABLE_SCROLLBAR,
	1	XTX_XCMAX,
	1	XTX_XCNT,
	1	XTX_FIRST_LINE,
	1	XTX_LAST_LINE,
	1	XTX_FIRST_CHAR,
	1	XTX_LAST_CHAR,
	1	XTX_DISP_LINES,
	1	XTX_W_WIDTH,
	1	XTX_W_HEIGHT,
	1	XTX_W_NEXT,
	1	XTX_E_WIDTH,
	1	XTX_MAX_HEIGHT,
	1	XTX_TOTAL,
	1	XTX_H_TOTAL,
	1	XTX_TOP,
	1	XTX_FROW,
	1	XTX_MSGID,
	1	XTX_MASK,
	1	XTX_HSIZE,
	1	XTX_HCOLOR,
	1	XTX_LP,
	1	XTX_RP,
	1	XTX_TP,
	1	XTX_BP,
	1	XTX_H_LP,
	1	XTX_H_RP,
	1	XTX_H_TP,
	1	XTX_H_BP,
	1	XTX_MENU_LEN,
	1	XTX_MENU_FIRST,
	1	XTX_HEAD,
	1	XTX_MENU,
	1	XTX_PSFILE,
	1	XTX_KEYMENU,
	1	XTX_HOT_KEY


